
program dialogos

! objetivo: exemplificar o uso de caixas de dilogo do Windows
!           para entrar dados e verificar resultados;
!           aplicao na conduo de calor em aletas 1D.

! data de criao:  16 Fev 02

! ltima alterao:  1 Mar 02


! ARQUIVOS envolvidos no programa:

!   FONTES
!     dialogos.f90  = programa principal
!     aleta.f90     = clculos da conduo de calor em aletas
!     caixas.f90    = dilogos com o usurio do programa
!     data_hora.f90 = obtm a data e a hora do sistema e prepara
!                     arquivo para Wgnuplot

!   VISUAL: caixas de dilogo
!     script1.rc
!     resource.fd
!     resource.h
!     script.aps

!   EXECUTVEIS
!     dialogos.exe
!     notepad.exe
!     wgnuplot.exe

!   CONES
!     icon1.ico


!   SADA
!     listagem.txt
!     campo_T.dat

!   ARQUIVOS DE COMANDOS PARA GERAO DE GRFICOS
!     campo_T.gnu


!--------------------------------------------------------


use msfwin
use msflib

use caixas

integer*4 fim

interface
  logical(4) function initialsettings
  end function
end interface

logical name

name = setwindowtext(gethwndqq(qwin$framewindow), &
       "programa para teste de caixas de dialogos"C)


call caixa_principal

fim = setexitqq(qwin$exitnopersist)

end



logical(4) function initialsettings()

  use msflib

  record /qwinfo/ qwi
  qwi.x = 100
  qwi.y =  20
  qwi.w = 600         ! 400  600
  qwi.h = 400         ! 200  400
  qwi.type = qwin$set
  i4 = setwsizeqq(qwin$framewindow,qwi)
  qwi.type = qwin$min
  i4 = setwsizeqq(qwin$framewindow,qwi)

  initialsettings = .true.

end function initialsettings

